Bug 519359 - receive error while adding dsl connection, and unable to connect to internet through my adsl modem.
Summary: receive error while adding dsl connection, and unable to connect to internet ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 10:57 UTC by sunil datta
Modified: 2010-06-10 04:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-10 04:35:51 UTC


Attachments (Terms of Use)
attachment is a pic showing my adsl connections. (80.07 KB, image/jpeg)
2009-08-26 11:03 UTC, sunil datta
no flags Details

Description sunil datta 2009-08-26 10:57:03 UTC
Description of problem:
I have two issues:

1)
right click > Edit Connections > DSL > Add > without making any modifications click cancel button & the error is displayed.

Below is the details generated by the bug reporter.
==========================================================
Distribution: Fedora release 11 (Leonidas)
Gnome Release: 2.26.1 2009-04-29 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed May 27 17:28:22 EDT 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10601901
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
"KConfigIni: In file /tmp/kde-sunil/kconf_updateIf2969.tmp, line 1: " Invalid entry (missing '=') 
kded(2963): Communication problem with  "kded" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the
kded(2964): "Error launching kconf_update. Either KLauncher is not running anymore, or it failed to start the application." 
QThreadStorage: Thread 0x8405110 exited after QThreadStorage 2147483643 destroyed
** (nm-connection-editor:3153): WARNING **: Invalid setting DSL: username
** (nm-connection-editor:3153): WARNING **: Invalid setting DSL: username
** (nm-connection-editor:3153): WARNING **: Invalid setting DSL: username
**
ERROR:nm-connection-list.c:744:add_done_cb: code should not be reached
--------------------------------------------------
==============================================================================


2)
I use two adsl connection, one at a time. I want to connect my laptop to internet through wireless adsl modem. I was able to establish the wireless connection. I have also created two dsl connection, But I am not able to connect to internet by selecting the connection. I am attaching the pic of connection created for adsl.

One more thing, when I connect my laptop nic to another laptop through cross cable then only the two dsl connected create with the name seema and rakhi appears, but when I disconnect the cross cable, they disappears (I know this is because they are created under Wired network), but how can I create dsl connection under Wireless network, or how can I configure my wireless so that I can use adsl broad band through wireless.

Let me know if any other information is required.

Comment 1 sunil datta 2009-08-26 11:03:36 UTC
Created attachment 358701 [details]
attachment is a pic showing my adsl connections.

attachment is a pic showing my adsl connections.

Comment 2 Bug Zapper 2010-04-28 09:58:46 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Dan Williams 2010-06-10 04:35:51 UTC
Does this still happen with latest F11 updates of NM?  I cannot reproduce the crash when clicking Cancel.  There was a problem long ago with Cancel crashing the connection editor, which was fixed on April 15, 2009. Please re-open if the connection editor still crashes when you hit cancel with a fully updated system.


Note You need to log in before you can comment on or make changes to this bug.